## org.apache.commons.configuration.event
Interface ConfigurationListener

All Known Implementing Classes:
  AbstractHierarchicalFileConfiguration, CombinedConfiguration, DefaultConfigurationBuilder, HierarchicalXMLConfiguration, PropertiesConfigurationLayout, PropertyListConfiguration, XMLConfiguration, XMLPropertyListConfiguration

    public interface ConfigurationListener

A simple event listener interface for configuration observers.

This interface can be implemented by classes that are interested in "raw" events caused by configuration objects. Each manipulation on a configuration object will generate such an event. There is only a single method that is invoked when an event occurs.

Since:
  1.3
Version:
  $Id: ConfigurationListener.java 439648 2006-09-02 20:42:10Z oheger $
Author:
  Commons Configuration team

Method Summary
`void` `configurationChanged(ConfigurationEvent event)` Notifies this listener about a manipulation on a monitored configuration object.

Method Detail

### configurationChanged

    void configurationChanged(ConfigurationEvent event)

  Notifies this listener about a manipulation on a monitored configuration object.

  Parameters:
    `event` - the event describing the manipulation

Copyright © 2001-2006 The Apache Software Foundation. All Rights Reserved.